#!/bin/bash

local_dir=`pwd`
pack_dir="deb_packages"
version="0.7"
arch="all"

rm -rf $pack_dir
mkdir $pack_dir

cp base_conf/base_packages/*.deb $pack_dir

cd /tmp/brisa_packages

package_list="brisa brisa-base brisa-control-point brisa-media-server brisa-media-server-baseplugins brisa-manager brisa-media-renderer brisa-control-point-gui brisa-conf"

for package in $package_list
do
	dpkg-deb -b $package ${package}_${version}_${arch}.deb
done

cp *.deb $local_dir/$pack_dir
cd $local_dir/$pack_dir
apt-ftparchive packages ./ > ./Packages
gzip --best Packages

echo "deb packages generated at $pack_dir"
